Category: Subscriptions
Difficulty: Fixed in Releases:
Description

If a user has lots of guest pools (for example, if there are lots of guests running on hypervisors), manifest import can take a long time.

Specifically, the "ImportProducts" step can take quite a while. For a Satellite with 3300 pools, this step can take 3.5 hours. It appears
that during manifest import, all of the pools are reindexed. This happens one pool at a time, and each pool take a couple of seconds

which leads to this issue.

Note:

The ImportProducts step in manifest import operation takes over 3 hrs on a database with over 3000 guest pools.

Associated revisions

Revision 6de94a2c - 07/03/2018 09:03 PM - Partha Aji
Fixes #23604 - Speed up manifest import perf

This commit intends to speed up the performance of the manifest import
by cutting down unnecessary operations during the Pool indexing stage.

Before

timer { Katello::Pool.find(446).import_data }
=>12.708098227

After

timer { Katello::Pool.find(446).import_data }

=> 0.029546651

History

#1 - 05/15/2018 08:49 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/7373 added

#2 - 05/15/2018 08:54 PM - Partha Aji
- Bugzilla link set to 1573247

#3 - 05/16/2018 05:37 PM - Justin Sherrill

- translation missing: en.field_release set to 338

#4 - 07/03/2018 10:01 PM - Partha Aji

- Status changed from Ready For Testing to Closed
- Target version deleted (245)

- % Done changed from 0 to 100

05/17/2024

1/2




Applied in changeset katello|6de94a2c18f2f23bc45d2a012bede539fd70755d.
